﻿using System;
using System.Data.Entity;
using EFCodeFirstAndMembership.Models;
using System.Web.Management;

namespace EFCodeFirstAndMembership.EF
{
  public class MyDropCreateDatabaseIfModelChanges : DropCreateDatabaseIfModelChanges<PeopleContext>
  {
    protected override void Seed(PeopleContext context)
    {
      context.People.Add(new Person { FirstName = "Imar", LastName = "Spaanjaars", DateOfBirth = new DateTime(1971, 9, 8) });
      context.People.Add(new Person { FirstName = "John", LastName = "Doe", DateOfBirth = new DateTime(1950, 1, 1) });

      ApplicationServices.InstallServices(SqlFeatures.Membership | SqlFeatures.RoleManager);
    }
  }
}