﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using EFCodeFirstAndMembership.EF;

namespace EFCodeFirstAndMembership.Controllers
{
  public class HomeController : Controller
  {
    [Authorize]
    public ActionResult Index()
    {
      using (PeopleContext context = new PeopleContext())
      {
        var allPeople = context.People.OrderBy(p => p.LastName).ToList();
        return View(allPeople);
      }
    }

    public ActionResult About()
    {
      return View();
    }
  }
}
